Skip to main content

GET processed vehicle by a specific state and resource type.

warning

Vehicle VIN and plate must not have hyphens, spaces, special characters, or lowercase letters in any request. They must be in uppercase.

This endpoint retrieves the processing results for a vehicle by querying a resource by state and resource type. The response provides a scraped object. The object includes details such as the Sync status, debt amount, fines count, etc, depending on the resource type.

Request​

HTTP request​

GET https://api-sync-resser.azurewebsites.net/api/scraping

Parameters​

The following table lists the parameters that this query supports. All of the parameters listed are query parameters.

Required​

PropertiesTypeDescription
platestringVehicle plate.
vinstringVehicle VIN.
stateNamestringState name is the value of the property 'key' in the State object such as aguascalientes, jalisco, etc.
resourceTypeNamestringResource type name is the value of the property 'key' in the ResourceType object such as tickets, tenencias, etc.

Filters​

PropertiesTypeDescription
resourceIdintThis parameter is used to specify a resource.

Request body​

This request does not require a request body during its execution, so please refrain from providing one when calling this method.

Response​

If successful, this method returns a scraped object in the response body.

Errors​

The following table provides a list of potential error messages that the API may return in response to a call to this method. For more detailed information, please refer to the error message documentation.

Error typeError detailDescription
badRequest (400)BadRequestRequired params were not provided.
badRequest (400)BadParameters- The requested state does not have the specified resource type.
- State or resource type provided does not exist.
unauthorized (401)UnauthorizedThe requester is not allowed to use this request.